Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::GlyphGeometry Class Reference

A PangoGlyphGeometry C++ wrapper class. More...

`#include <xfc/pango/glyph.hh>`

List of all members.

## Public Member Functions

- PangoGlyphGeometry * pango_glyph_geometry () const
    Get a pointer to the PangoGlyphGeometry structure.
- GlyphUnit width () const
    Returns the logical width of the character.
- GlyphUnit x_offset () const
    Returns the horizontal offset from nominal character position.
- GlyphUnit y_offset () const
    Returns the vertical offset from nominal character position.

## Detailed Description

A PangoGlyphGeometry C++ wrapper class.

GlyphGeometry contains the width and positioning information for a single glyph. Distances are in 1/64ths of a point.

The documentation for this class was generated from the following file:

- glyph.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3